﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports Microsoft.SqlServer.Server
Imports System.Data.SqlTypes
Imports System.IO
Imports System.Drawing.Imaging
Imports System.Drawing


Public NotInheritable Class ChartGenerator
    Private Sub New()
    End Sub
    <SqlFunction(DataAccess:=DataAccessKind.Read)>
    Public Shared Function GetUsersChart(ByVal width As Integer, ByVal height As Integer, ByVal chartTile As String, ByVal region As String, ByVal month As Integer, ByVal year As Integer) As SqlBinary
        Dim chart As New WebSiteUsersChart(width, height, chartTile, region, month, year)
        Dim bitmap As Bitmap = chart.PlotChart()

        If bitmap IsNot Nothing Then
            Dim memoryStream As New MemoryStream()
            bitmap.Save(memoryStream, ImageFormat.Jpeg)
            Dim bytes() As Byte = memoryStream.GetBuffer()
            bitmap.Dispose()
            memoryStream.Close()
            Return bytes
        Else
            Return Nothing
        End If
    End Function
End Class
